Premiere Elements 12 and Yosemite

chscag

Well-known member
Staff member
Admin
Joined
Jan 23, 2008
Messages
65,249
Reaction score
1,830
Points
113
Location
Keller, Texas
Your Mac's Specs
2017 27" iMac, 10.5" iPad Pro, iPhone 8, iPhone 11, iPhone 12 Mini, Numerous iPods, Monterey
You'll have to ask Adobe support. Their requirements say OS X 10.7 - 10.8. They do not mention Mavericks or Yosemite. Premiere Elements 13 has been out for awhile so that may be what you'll need if you're running Yosemite. But you should ask Adobe to get the straight information.
 
OP
D
Joined
Nov 16, 2014
Messages
2
Reaction score
0
Points
1
Thanks for both of your answers.

LWC, did you have to do anything special when you installed 12? In reading the Photoshop Elements forum, it stated you have to delete the preferences before you try to run PSE. Was wondering if that is the case for Premiere?
 

LWC


Joined
Oct 24, 2006
Messages
86
Reaction score
4
Points
8
Thanks for both of your answers.

LWC, did you have to do anything special when you installed 12? In reading the Photoshop Elements forum, it stated you have to delete the preferences before you try to run PSE. Was wondering if that is the case for Premiere?


I've been using Premier Elements 12 for about a year now. I didn't have to do anything to get it working with Yosemite, it opens and functions just like it did when I was running Mavericks.
 

Shop Amazon


Shop for your Apple, Mac, iPhone and other computer products on Amazon.
We are a participant in the Amazon Services LLC Associates Program, an affiliate program designed to provide a means for us to earn fees by linking to Amazon and affiliated sites.
Top